package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.utils.Input;
	import net.flashpunk.utils.Key;
	import net.flashpunk.FP;
	import levels.GameOver;
	
	import flash.utils.getQualifiedClassName;
	import flash.utils.getDefinitionByName;
	
	/**
	 * ...
	 * @author Are Andreas Lomås (Materie)
	 */
	 
	 
	public class Wolf extends Entity
	{
		[Embed(source = "assets/wolf.png")] public static const SPR_WOLF:Class;
		
		private var sprite:Image = new Image(SPR_WOLF);
		
		public function Wolf(x:int,y:int)
		{
			super(x, y, sprite);
			
			sprite.centerOO();
			setHitbox(sprite.width * 2, sprite.height * 2, sprite.width, sprite.height); //don't need to actually TOUCH the wolf to get killed by it
		}
		
		override public function added():void
		{
			
		}
		
		override public function update():void
		{
			if (collide("player", x, y))
			{
				FP.world = new GameOver(getMyClass(FP.world));
				trace("Collision!");
			}
		}
		
		public static function getMyClass(obj:Object):Class
		{
			return Class(getDefinitionByName(getQualifiedClassName(obj)));
		}
	}
	


}