package levels 
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Backdrop;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.World;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Text;
	import net.flashpunk.utils.Input;
	import net.flashpunk.utils.Key;
	/**
	 * ...
	 * @author Are Andreas Lomås (Materie)
	 */
	public class Title extends World
	{
		
		[Embed(source = "../assets/title.png")] public static const SPR_TITLE:Class;
		
		override public function begin():void
		{
			addGraphic(new Image(SPR_TITLE));
		}
		
		override public function update():void
		{
			super.update();
			
			if (Input.check(Key.X))
			{
				FP.world = new StoneAge;
			}
		}
	}

}