package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.utils.Input;
	import net.flashpunk.utils.Key;
	import net.flashpunk.FP;
	/**
	 * ...
	 * @author Are Andreas Lomås (Materie)
	 */
	 
	 
	public class Flame extends Entity
	{
		[Embed(source = "assets/flamesMap.png")] public static const SPR_MAP_FLAMES:Class;
		
		private var sprite:Spritemap = new Spritemap(SPR_MAP_FLAMES, 12, 42);
		
		private var firstFrame:int;
		
		public function Flame(x:int,y:int,firstFrame:int)
		{
			super(x, y, sprite);
			
			sprite.add("burn", [0,1,2,3], 10, true);
			
			sprite.centerOO();
			
			this.firstFrame = firstFrame;
		}
		
		override public function added():void
		{
			sprite.play("burn");
		}
		
		override public function update():void
		{
			
		}
	}

}