package 
{
	import levels.StoneAge;
	import levels.Title;
	import net.flashpunk.utils.Key;
	import net.flashpunk.utils.Input;
	import flash.system.System;
	import net.flashpunk.Engine;
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.World;
	import net.flashpunk.utils.Key;
	import net.flashpunk.graphics.Text;
	
	/**
	 * ...
	 * @author Are Andreas Lomås (Materie)
	 */
	[SWF(width = "640", height = "480")]
	public class Main extends Engine 
	{
		
		public function Main():void 
		{
			trace("FP started!");
			super(320, 240, 60, false);
			
			FP.screen.color = 0x000000;
			
			//FP.console.toggleKey = Key.TAB;
			//FP.console.log("TAB - toggle console");
			//FP.console.enable();
			FP.screen.scale = 2;
			
			FP.world = new Title;
		}
		
		override public function init():void 
		{
			trace("FP init!");
			super.init();
		}
		
		override public function update():void
		{
			super.update();
			
			// press ESCAPE to exit debug player
			if (Input.check(Key.ESCAPE)) {
				System.exit(1);
			}
		}
	}
}